# Generated by Django 3.0.4 on 2020-03-25 17:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MovieThreater',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('threater_name', models.CharField(max_length=20)),
                ('threater_type', models.CharField(max_length=10)),
                ('state', models.CharField(max_length=50)),
                ('city', models.CharField(max_length=40)),
                ('exact_location', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Auditoriums',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('auditorium_identifier', models.CharField(max_length=30)),
                ('seat_capacity', models.IntegerField()),
                ('seat_available', models.IntegerField()),
                ('threater_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='threater.MovieThreater')),
            ],
        ),
    ]
